Bug 3121 - chat-to-dip is a mess
chat-to-dip is a mess
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-28 10:30 EDT by rri0189
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-13 12:03:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rri0189 1999-05-28 10:30:45 EDT
When working with slip, netcfg creates a chat script, but
then translates it into a dip script.  But the translation
is trivial, and completely unusable for non-trivial
applications.  For example, what I _need_ is a dip sequence:

sleep 2
send &
sleep 1
send &
sleep 1
send &

I could, in theory, create this effect in chat with
"\d\d&\d&\d&", but netcfg translates that to

send \d\d&\d&\d&

which is of no use at all.

Between this, and the fact that linuxconf doesn't do the
chat-to-dip translation in the first place, it took me days
to get a connection to my IPS (IBM Global Network), and I
had to do it by a completely bass-ackwards
reverse-engineering attempt.  linuxconf, netcfg and usernet
should all work together, and either usernet should do slip
 with chat or linuxconf and netcfg should allow the user to
create a dip script in the first place.  Or just replace all
this hoo-hah with instructions in the install manual on how
to use chat or dip directly.  Right now, I feel like the kid
in the poster with spaghetti dumped all over him.

(For what it's worth, I'm a professional programmer with 34
years of experience, including about 2 years on IRIX.  But
I'm new to Linux, and I've never done slip or ppp before
without ISP-provided dialer software.)
Comment 1 Jay Turner 1999-06-28 12:16:59 EDT
This issue has been assigned to a developer for further action.
Comment 2 Michael K. Johnson 1999-07-13 12:03:59 EDT
The translation works for most folks, and so the answer is
to modify the dip script by hand if the generated script
does not work.  We'll never make a graphical interface that
maps the full power of dip's scripting language into a
graphical format, so no matter what small improvements we
make, each improvement will only help a few users and leave
us with a still-imperfect solution for a technology that is
now almost unused, in comparison with PPP.

The other possibility is to try to hook up chat and slattach,
but at least the last time I looked, one or the other or both
would require changes to do that, and probably even more
people would complain if we did that...

Note You need to log in before you can comment on or make changes to this bug.